# Run optional test
%bcond_without perl_Image_Sane_enables_optional_test

%define upstream_name Image-Sane
%define upstream_version 5

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7
Summary:    Perl extension for the SANE (Scanner Access Now Easy) Project
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/R/RA/RATCLIFFE/%{upstream_name}-%{upstream_version}.tar.gz
# Adapt to Perl 5.37.10, CPAN RT#148487
Patch0:         Image-Sane-5-Replace-deprecated-given-and-when-operators.patch

BuildRequires: perl(Config)
BuildRequires: perl(Exception::Class)
BuildRequires: perl(ExtUtils::Depends)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::PkgConfig)
BuildRequires: perl(Readonly)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Requires)
BuildRequires: perl(Try::Tiny)
BuildRequires: coreutils
BuildRequires: findutils
BuildRequires: gcc
BuildRequires: make
BuildRequires: perl
BuildRequires: perl-devel
BuildRequires: pkgconfig(sane-backends) >= 1.0.19
# Run-time:

# Tests:

%if %{with perl_Image_Sane_enables_optional_test}
# Optional tests:
# ImageMagick for identify tool
BuildRequires: ImageMagick
# Test::Perl::Critic not used

# sane-backensds for scanimage tool
BuildRequires: sane-backends
%endif

%description
These Perl bindings for the SANE (Scanner Access Now Easy) Project allow
you to access SANE-compatible scanners in a Perlish and object-oriented
way, freeing you from the casting and memory management in C, yet remaining
very close in spirit to original API.

%prep
%autosetup -p1 -n %{upstream_name}-%{upstream_version}
chmod -x examples/*

%build
%__perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 OPTIMIZE="%{optflags}"
%make_build

%install
%make_install

find %{buildroot} -type f -name '*.bs' -size 0 -delete
%{_fixperms} %{buildroot}/*

%check
%__make test

%files
%doc Changes META.json META.yml MYMETA.yml README examples
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Image*
%{_mandir}/man3/*


%changelog
* Fri Dec 01 2023 tv <tv> 5.0.0-7.mga10
+ Revision: 2012463
- Adapt to Perl 5.37.10, CPAN RT#148487
- Adapt to Perl 5.37.10, CPAN RT#148487
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 5.0.0-6.mga9
+ Revision: 1863265
- Rebuild for Perl 5.36

* Tue Apr 05 2022 umeabot <umeabot> 5.0.0-5.mga9
+ Revision: 1844472
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 5.0.0-4.mga9
+ Revision: 1727962
- Rebuild for perl 5.34

* Thu Jun 18 2020 umeabot <umeabot> 5.0.0-3.mga8
+ Revision: 1595653
- Rebuild for perl 5.32

* Tue Feb 18 2020 umeabot <umeabot> 5.0.0-2.mga8
+ Revision: 1538209
- Mageia 8 Mass Rebuild

* Fri Nov 15 2019 daviddavid <daviddavid> 5.0.0-1.mga8
+ Revision: 1460438
- new version: 5

* Sat Sep 14 2019 tv <tv> 4.0.0-1.mga8
+ Revision: 1440581
- update to 4

* Thu Sep 12 2019 tv <tv> 3.0.0-1.mga8
+ Revision: 1440088
- update to 3

* Thu Sep 12 2019 tv <tv> 2.0.0-1.mga8
+ Revision: 1439950
- update to 2

* Tue Aug 27 2019 tmb <tmb> 0.140.0-7.mga8
+ Revision: 1433680
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.140.0-6.mga7
+ Revision: 1293203
- Mageia 7 Mass Rebuild

* Tue Aug 07 2018 daviddavid <daviddavid> 0.140.0-5.mga7
+ Revision: 1248452
- rebuild for new perl 5.28.0

* Mon Oct 02 2017 tv <tv> 0.140.0-4.mga7
+ Revision: 1164912
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.140.0-3.mga7
+ Revision: 1149764
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 0.140.0-2.mga7
+ Revision: 1126575
- Rebuild against new Perl 5.26

* Wed Jul 19 2017 daviddavid <daviddavid> 0.140.0-1.mga7
+ Revision: 1125075
- initial package perl-Image-Sane (based on Fedora)

